import * as React from 'react';
import { Provider } from 'react-redux';
import AdaptableContext from './AdaptableContext';
import { WithAdaptableComputedCSSVars } from './AdaptableComputedCSSVarsContext';
export const renderWithAdaptableContext = (children, adaptable) => {
    return (React.createElement(Provider, { store: adaptable.adaptableStore.TheStore },
        React.createElement(WithAdaptableComputedCSSVars, null,
            React.createElement(AdaptableContext.Provider, { value: adaptable }, children))));
};
